Skip to main content
POST
Execute Tool

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

tool_id
string
required

Tool ID

Query Parameters

api_id
string | null

API ID

Body

application/json
model_provider
string
default:azure
model_name
string
default:gpt-4o-mini
stream
boolean
default:false
temperature
number | null
default:0.1
max_tokens
integer | null
default:512
params
(LLMToolTestParam · object | APIToolTestParam · object)[] | null

Param List

Example:

Response

Successful Response

status
string
required

Test status: success, failed, or error

status_code
integer | null

HTTP status code for API tool

response
any | null

Test response content

error
string | null

Error message if test failed